KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase etcd local - Generate the static Pod manifest file for a local, single-node local etcd instance

SYNOPSIS

kubeadm init phase etcd local [OPTIONS]

DESCRIPTION

Generate the static Pod manifest file for a local, single-node local etcd instance

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Don't apply any changes; just output what would be done.

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--patches=""
    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Generates the static Pod manifest file for etcd, functionally
      # equivalent to what is generated by kubeadm init.
      kubeadm init phase etcd local

      # Generates the static Pod manifest file for etcd using options
      # read from a configuration file.
      kubeadm init phase etcd local --config config.yaml

SEE ALSO

kubeadm-init-phase-etcd(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!